> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get campaign entities

> Get a paginated list of entities for a campaign, enriched with certification status and check results. Exactly one of campaignId or campaignName must be provided. If checkStates is provided, a checkId or checkName must also be provided.




## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml post /campaigns/entities
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /campaigns/entities:
    post:
      tags:
        - Campaigns
      summary: Get campaign entities
      description: >
        Get a paginated list of entities for a campaign, enriched with
        certification status and check results. Exactly one of campaignId or
        campaignName must be provided. If checkStates is provided, a checkId or
        checkName must also be provided.
      operationId: getCampaignEntities
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CampaignEntitiesRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignEntitiesResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CampaignEntitiesRequest:
      type: object
      properties:
        campaignId:
          type: string
        campaignName:
          type: string
        checkId:
          type: string
        checkName:
          type: string
        checkStates:
          type: array
          items:
            type: string
            enum:
              - passed
              - failed
              - warning
              - not-applicable
        entityFilter:
          $ref: '#/components/schemas/EntityFilter'
        entityFields:
          type: array
          items:
            type: string
        metadataAnnotations:
          type: array
          items:
            type: string
        first:
          type: integer
        after:
          type: string
      additionalProperties: false
      description: >
        Exactly one of campaignId or campaignName must be provided. If
        checkStates is provided, checkId or checkName must also be provided.
    CampaignEntitiesResponse:
      type: object
      properties:
        totalCount:
          type: integer
        pageInfo:
          $ref: '#/components/schemas/PageInfo'
        edges:
          type: array
          items:
            $ref: '#/components/schemas/CampaignEntityEdge'
      required:
        - totalCount
        - pageInfo
        - edges
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    EntityFilter:
      oneOf:
        - type: object
          additionalProperties:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
        - type: array
          items:
            type: object
            additionalProperties:
              oneOf:
                - type: string
                - type: array
                  items:
                    type: string
    PageInfo:
      type: object
      properties:
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        startCursor:
          type: string
        endCursor:
          type: string
      required:
        - hasNextPage
        - hasPreviousPage
      additionalProperties: false
    CampaignEntityEdge:
      type: object
      properties:
        node:
          $ref: '#/components/schemas/CampaignEntityNode'
      additionalProperties: false
    CampaignEntityNode:
      type: object
      properties:
        entityRef:
          type: string
        entity:
          type: object
          additionalProperties: true
        certified:
          type: boolean
        checkStates:
          type: array
          items:
            $ref: '#/components/schemas/CampaignEntityCheckState'
      required:
        - entityRef
        - certified
        - checkStates
      additionalProperties: false
    CampaignEntityCheckState:
      type: object
      properties:
        checkId:
          type: string
        checkName:
          type: string
        state:
          type: string
          enum:
            - passed
            - failed
            - warning
            - not-applicable
            - not-reported
      required:
        - checkId
        - checkName
        - state
      additionalProperties: false

````